Subject: Re: H.248 Activity

From: "Bigi, Fabio" <[email-masked]>
Date: Thu, 10 Feb 2000 10:03:15 +0100

Dear Bob,

Many thanks for the useful information.  It is still not clear if H.248 will
fly.  I am at the disposal of Scott and Fred for any information they
require.

Regards,

Fabio

-----Original Message-----
From: Shaw, Robert
Sent: 09 February, 2000 10:10 PM
To: Zhao, Houlin; Bigi, Fabio
Subject: FW: H.248 Activity

fyi

--
Robert Shaw <[email-masked]>
ITU Internet Strategy and Policy Advisor
International Telecommunication Union <http://www.itu.int>
Place des Nations, 1211 Geneva, Switzerland

> -----Original Message-----
> From: Fred Baker [mailto:[email-masked]]
> Sent: 09 February 2000 18:54
> To: [email-masked]
> Subject: H.248 Activity
>
>
> Scott:
>
> I have a question regarding the status of the Megaco/H.248 development
> activity in Geneva. SG16 is busily trying to "decide" the
> H.248 document,
> I'm told, and doing so in violation of its own procedures.
> It's procedures
> call for "deciding" to be based on a stable document, while
> the document
> before that house has changed substantively since October,
> and there are
> numerous contributions to change it even today.
>
> I understand that one of the key supporters of deciding the
> document this
> week is Tom Taylor, the chair of Megaco. Monday morning, Tom opened a
> Working Group last call on the IETF version of the document,
> which if any
> of the current ITU contributions are accepted differs
> substantively from
> the ITU document. By doing this, Tom cuts IETF review of the
> document out
> of the loop.
>
> I thought this was a joint development between IETF and ITU,
> a showcase of
> that in fact, and that the IETF would review and agree to
> H.248 before it
> was decided? What's going on here?
>
> Fred
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> Fred Baker      | 519 Lado Drive
> IETF Chair      | Santa Barbara California 93111
> www.ietf.org    | Desk:   +1-408-526-4257
>                 | Mobile: +1-805-886-3873
>                 | FAX:    +1-413-473-2403
>

---

From: Scott Bradner <[email-masked]>
Date: Thu, 10 Feb 2000 08:48:12 -0500

Tom sez:
> What I consider a more serious matter is that the IESG Last Call must come
> after the ITU-T decision, if decision does happen at this meeting.  We do
> have some flexibility to meet IESG objections, depending on their nature: I
> believe some divergence between the ITU-T standard (H.248) and the IETF RFC
> is possible, if it relates to very specific aspects of the protocol having
> to do with IP-related operation.  We also have the flexibility provided by
> the ITU-T provision for an Implementor's Guide to supplement basic protocol
> document.  I have further ideas if absolutely necessary, but let's worry
> about them when we get there.  The main point is to reaffirm the principle
> that full IETF process must be followed before the RFC goes out.

I think there have been good intentions here but the conflict in process
issues are significant.

The aim was to have a single protocol that both organizations could agree
to, I can not see how that can happen if the ITU-T decision is made at this
meeting - the IETF process requires an IETF Last-Call and IESG review, it
is not uncommon for change requests to come out of these steps.

In addition, while I'm no expert in ITU-T process, it seems a reach to say
that a document that is being worked on as much as this one is "stable" and
I thought that ITU-T can only decide a "stable" document.

I do not want to declare this attempt a failure but it is getting hard to
reach any other conclusion.

Scott
(wearing my Transport AD hat)

---

From: Fred Baker <[email-masked]>
Date: Thu, 10 Feb 2000 15:12:04 -0500

At 08:33 AM 2/10/00 -0500, Tom-PT Taylor wrote:

>
> Let me take the liberty of clarifying the situation.

Thanks. As to specifics, I will of course leave specific direction to your area
director. What I am concerned about here is a little bit bigger picture.

>
> I believe some divergence between the ITU-T standard (H.248) and the IETF RFC
> is possible, if it relates to very specific aspects of the protocol having to
> do with IP-related operation.

Personally, I would find that distressing. The question would forever be "so
which would you actually implement, and how would you assure interoperability?"
I'd like to see us come out of a joint development with a joint document,
jointly agreed to.

---

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 10 Feb 2000 18:02:37 -0600

The situation is clear.  IETF process will be respected, and only one
protocol will be produced.  This leaves the following outlook for the
future:

Case 1: SG 16 decides H.248 at this meeting

Clearly, the IESG will have to delete the protocol milestone from the Megaco
charter.  The IESG may choose, as they have the right to do under our
agreement with the ITU-T, to publish H.248 as an Informational RFC.  There
is no particular reason not to -- the provision was negotiated so IETF
participants would not have to pay the ITU-T for a copy of the standard they
helped develop.

Case 2: SG 16 does not decide H.248 at this meeting.

In this case, the preferable outcome will be to allow the IETF to complete
its process and create a Standards-track RFC.  That in turn can be processed
into an ITU-T White Document at a Q. 14/16 Rapporteur's meeting convened for
the purpose, and eventually decided as H.248.  To allow this,
  -- SG 16 must seek to decide the document at the WTSA meeting in September
rather than the meeting proposed for June 15
  -- the IETF must complete its process well before May 15
  -- the ITU-T must schedule a Rapporteur's meeting to meet the May 15 White
Paper deadline

I can only apologize so many times, but I do regret the ill-will this
outcome is bound to generate between the two organizations, even though each
has done its best to accommodate the other.

Just in case Case 2 is what happens, I hereby rescind Last Call with the
intention that it will be declared on a document which reflects the results
of the present SG 16 meeting.   Meantime, we can still try to clean up all
we can before next Tuesday.

        Tom Taylor

---

From: Scott Bradner <[email-masked]>
Date: Thu, 10 Feb 2000 21:34:59 -0500

in the case of case #2 - I would sure hope that the IETF can be
well done long before May 15th

Scott

---
From: "Tom-PT Taylor" <[email-masked]>
To: Scott Bradner <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked],
        [email-masked], "Bigi, Fabio" <[email-masked]>
Subject: RE: H.248 Activity
Date: Thu, 10 Feb 2000 18:02:37 -0600

        Tom Taylor

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 11 Feb 2000 07:31:04 -0500

I believe you should leave the Last Call in place, and consider the document
out of
Geneva comments on the last call.  There is no point in delaying last call,
and there
is no point in releasing another version against which comments can be
registered.

We shall have to deal with any and all comments against this draft.
Delaying last call
AGAIN is not the right direction.

It was noted that there was no deadline.  Given the level of comments, I
think you should
use a 3 week comment period from the original last call announcement.

Brian

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 7:03 PM
To: [email-masked]
Subject: Re: H.248 Activity

        Tom Taylor

---

From: Matt Holdrege <[email-masked]>
Date: Fri, 11 Feb 2000 08:48:45 -0800

At 11:01 AM 2/11/00 -0500, Rosen, Brian wrote:
>There is no end of gaming - i.e.. using one or another of the IETF
>and ITU processes to get what you want, going on at this time.
>Raising issues at the Geneva meeting is an example, but so is
>dumping a large number of issues on the list just before last call.

I hope your plan works Brian. But the issue of some groups dumping
a load of issues on the list at the list minute is an example of
how a small minority can intentionally stall or delay a standard
in the IETF. The ITU may have other problems, but their policy of
determining text and not allowing significant changes makes them
the faster standards body these days. SG16 in their effort to
cooperate with the IETF has opened the door this time and we are
all suffering.

The IETF's policy works great when we are all of the same mind.
But when some vendors have a policy against a standard, it seems
too easy for them to block it or delay it long enough for it not
to matter.

As for the long list of issues that have appeared recently, I
think that nearly all of them should have been addressed in the
next version of the protocol for the ITU or Draft Standard phase
for the IETF. They are speculation on certain aspects of the
protocol that we will understand best after we have deployments
in real networks. Likely time will show some of these last minute
changes to be mistakes.

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 11 Feb 2000 11:53:51 -0500

I am in agreement that gaming is happening on all sides, and
people are using the IETF process to their own ends as well
as the ITU process.

Brian

> From: Matt Holdrege [mailto:[email-masked]]
> Sent: Friday, February 11, 2000 11:49 AM
> To: Rosen, Brian
> Cc: [email-masked]

---

From: Fred Baker <[email-masked]>
Date: Fri, 11 Feb 2000 10:26:31 -0800

At 06:02 PM 2/10/00 -0600, Tom-PT Taylor wrote:
>
> I can only apologize so many times, but I do regret the ill-will this outcome
> is bound to generate between the two organizations, even though each has done
> its best to accommodate the other.

Apology accepted, at least on my part. I also doubt that this will necessarily
generate ill-will. We (the two organizations) are learning to work together,
and like any relationship there will undoubtedly be some amount of
trial-and-error. We only learn from it if we flag it and deal with it, however,
which is why I raised the point.